package com.org.hktshop.service.address.impl;

import com.org.hktshop.base.BaseService;
import com.org.hktshop.entity.address.Street;
import com.org.hktshop.service.address.StreetService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class StreetServiceImpl extends BaseService<Street> implements StreetService {
    @Override
    public List<Street> findStreetByAreaCode(String areaCode) {
        Street street = new Street();
        street.setAreaCode(areaCode);
        return this.queryList(street);
    }
}
